=== debian/changelog ===
ayatana-indicator-datetime (24.2.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:40:01 +0000

ayatana-indicator-datetime (24.2.0-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 03:53:20 +0000

ayatana-indicator-datetime (24.2.0-1) unstable; urgency=medium

  [ Ratchanan Srirattanamet ]
  * debian/rules:
    + Fix building with nocheck build profile.

  [ Mike Gabriel ]
  * New upstream release.
  * debian/copyright:
    + Update copyright attributions.
    + Update auto-generated copyright.in file.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 12 Feb 2024 18:01:22 +0100
