=== debian/control ===
Source: ayatana-indicator-datetime
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Debian UBports Team <team+ubports@tracker.debian.org>,
Build-Depends: cmake,
               cmake-extras (>= 0.10),
               dbus,
               debhelper-compat (= 13),
               intltool,
               libaccounts-glib-dev (>= 1.18),
               libayatana-common-dev (>= 0.9.3),
               libecal2.0-dev (>= 3.16) | libecal1.2-dev (>= 3.16),
               libedataserver1.2-dev (>= 3.5),
               libglib2.0-dev (>= 2.35.4),
               libgstreamer1.0-dev,
               libical-dev (>= 1.0),
               libmessaging-menu-dev,
               libnotify-dev (>= 0.7.6),
               libproperties-cpp-dev,
               uuid-dev,
# for lomiri features
               lomiri-schemas (>= 0.1.1),
               lomiri-sounds (>= 22.02),
               liblomiri-url-dispatcher-dev,
# for the test harness:
               dbus-test-runner <!nocheck>,
               libdbustest1-dev <!nocheck>,
               libgtest-dev <!nocheck>,
               python3-dbusmock <!nocheck>,
# for 12h/24h locale unit tests:
               locales <!nocheck>,
# for running live EDS tests:
               evolution-data-server <!nocheck>,
               gvfs-daemons <!nocheck>,
               systemd [linux-any] <!nocheck>,
# for tests that require the org.ayatana.common GSchema
               ayatana-indicator-common <!nocheck>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-datetime
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-datetime.git
Vcs-Browser: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-datetime/

Package: ayatana-indicator-datetime
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ayatana-indicator-common (>= 0.8.0),
         libglib2.0-bin,
Recommends: indicator-applet | mate-indicator-applet | xfce4-indicator-plugin | indicator-renderer,
            evolution-data-server,
            geoclue-provider,
Breaks: indicator-datetime,
Replaces: indicator-datetime,
Description: Ayatana Indicator providing clock and calendar
 This Ayatana Indicator provides a combined calendar, clock, alarm and
 event management tool.
 .
 Ayatana Indicators are only available on desktop environments that
 provide a renderer for system indicators (such as MATE, Xfce, Lomiri,
 etc.).
