=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_CMAKE_EXTRA_FLAGS = \
    -DENABLE_LOMIRI_FEATURES=ON \
    -DENABLE_COVERAGE=OFF \
    $(NULL)

ifeq ($(filter nocheck,$(DEB_BUILD_PROFILES)),)
	DEB_CMAKE_EXTRA_FLAGS += -DENABLE_TESTS=ON
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CMAKE_EXTRA_FLAGS)

override_dh_missing:
	dh_missing --fail-missing

override_dh_installchangelogs:
	dh_installchangelogs NEWS


get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
