=== debian/changelog ===
ayatana-indicator-datetime (24.5.0-2) unstable; urgency=medium

  * debian/control:
    + Move from R: to S: <indicator-renderer> packages. These should be pulled-
      in via the desktop environment where AyatanaIndicators get used.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 24 Jan 2025 10:36:14 +0100

ayatana-indicator-datetime (24.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 22 May 2024 08:59:13 +0200

ayatana-indicator-datetime (24.2.0-2) unstable; urgency=medium

  * debian/control:
    + Replace systemd by systemd-dev in B-D. (Closes: #1060548).
    + Bump Standards-Version to 4.7.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 May 2024 16:35:59 +0200
