=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ayatana-indicator-datetime
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Debian UBports Team <team+ubports@tracker.debian.org>,
@@ -36,10 +35,10 @@
 # for running live EDS tests:
                evolution-data-server <!nocheck>,
                gvfs-daemons <!nocheck>,
-               systemd [linux-any] <!nocheck>,
+               systemd-dev [linux-any] <!nocheck>,
 # for tests that require the org.ayatana.common GSchema
                ayatana-indicator-common <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-datetime
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-datetime.git
@@ -51,9 +50,9 @@
          ${misc:Depends},
          ayatana-indicator-common (>= 0.8.0),
          libglib2.0-bin,
-Recommends: indicator-applet | mate-indicator-applet | xfce4-indicator-plugin | indicator-renderer,
-            evolution-data-server,
+Recommends: evolution-data-server,
             geoclue-provider,
+Suggests: indicator-applet | mate-indicator-applet | xfce4-indicator-plugin | indicator-renderer,
 Breaks: indicator-datetime,
 Replaces: indicator-datetime,
 Description: Ayatana Indicator providing clock and calendar
