=== debian/changelog ===
ayatana-indicator-datetime (24.5.1-1) unstable; urgency=medium

  * New upstream release.
    - Support API set_app_icon() change in libnotify 0.8.4. (Closes: #1098532).
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/copyright:
    + Update copyright attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 12 Mar 2025 08:57:04 +0100
