=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,13 @@
 set (SERVICE_LIB "indicatordatetimeservice")
-set (SERVICE_EXEC "ayatana-indicator-datetime-service")
 
-add_definitions (-DG_LOG_DOMAIN="ayatana-indicator-datetime")
+if (ENABLE_LOMIRI_FEATURES)
+    set (INDICATOR_VARIANT_NAME "lomiri-indicator-datetime")
+else ()
+    set (INDICATOR_VARIANT_NAME "${CMAKE_PROJECT_NAME}")
+endif ()
+
+add_definitions (-DG_LOG_DOMAIN="${INDICATOR_VARIANT_NAME}")
+set (SERVICE_EXEC "${INDICATOR_VARIANT_NAME}-service")
 
 # handwritten sources
 set (SERVICE_C_SOURCES
@@ -15,7 +21,6 @@
      clock.cpp
      clock-live.cpp
      date-time.cpp
-     engine-eds.cpp
      exporter.cpp
      formatter.cpp
      formatter-desktop.cpp
@@ -40,6 +45,12 @@
      utils.c
      wakeup-timer-mainloop.cpp
      wakeup-timer-powerd.cpp)
+
+if (ENABLE_LOMIRI_FEATURES)
+    list (APPEND SERVICE_CXX_SOURCES engine-mkcal.cpp)
+else ()
+    list (APPEND SERVICE_CXX_SOURCES engine-eds.cpp)
+endif()
 
 # generated sources
 include (GdbusCodegen)
@@ -69,6 +80,12 @@
 include_directories (${CMAKE_SOURCE_DIR})
 link_directories (${SERVICE_DEPS_LIBRARY_DIRS})
 
+if (ENABLE_LOMIRI_FEATURES)
+    set_source_files_properties (engine-mkcal.cpp PROPERTIES COMPILE_FLAGS "${CMAKE_C_FLAGS} -Wno-deprecated-declarations")
+    target_link_libraries (${SERVICE_LIB} KF5::CalendarCore)
+    target_compile_definitions (${SERVICE_LIB} PRIVATE -DQT_DEBUG -DQT_MESSAGELOGCONTEXT)
+endif ()
+
 add_executable (${SERVICE_EXEC} main.cpp)
 target_link_libraries (${SERVICE_EXEC} ${SERVICE_LIB} ${SERVICE_DEPS_LIBRARIES})
-install (TARGETS ${SERVICE_EXEC} RUNTIME DESTINATION "${CMAKE_INSTALL_FULL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")
+install (TARGETS ${SERVICE_EXEC} RUNTIME DESTINATION "${CMAKE_INSTALL_FULL_LIBEXECDIR}/${INDICATOR_VARIANT_NAME}")
