=== debian/changelog ===
ayatana-indicator-datetime (25.4.0-3) unstable; urgency=medium

  * debian/control:
    + Drop <!nocheck> profile paramter from B-D systemd-dev. The systemd-dev
      contains systemd's .pc file needed for normal build. (Closes: #1112082).
    + Drop from R: geoclue-provider (a concept from GeoClue v1). The datetime
      indicator needs to be forward-ported to GeoClue-2.0. (Closes: #1111942,
      #1111943).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 01 Sep 2025 11:40:52 +0200

ayatana-indicator-datetime (25.4.0-2) unstable; urgency=medium

  * Re-upload source-only as is.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 03 Apr 2025 15:11:06 +0200

ayatana-indicator-datetime (25.4.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/rules:
    + Drop DPKG_GENSYMBOLS_CHECK_LEVEL=4. Not meaningful for non-library
      packages.
  * debian/:
    + Dually build indicator datetime as two variants: lomiri-indicator-datetime
      and ayatana-indicator-datetime. On Lomiri, the calendar app uses mkCal as
      ICS data storage backend (lomiri variant), on other desktop environments
      we stay with EDS as ICS data storage backend (ayatana variant).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 02 Apr 2025 16:48:01 +0200
