=== debian/control ===
--- 
+++ 
@@ -12,16 +12,21 @@
                intltool,
                libaccounts-glib-dev (>= 1.18),
                libayatana-common-dev (>= 0.9.3),
-               libecal2.0-dev (>= 3.16) | libecal1.2-dev (>= 3.16),
-               libedataserver1.2-dev (>= 3.5),
                libglib2.0-dev (>= 2.35.4),
                libgstreamer1.0-dev,
-               libical-dev (>= 1.0),
                libmessaging-menu-dev,
                libnotify-dev (>= 0.7.6),
                libproperties-cpp-dev,
                uuid-dev,
-# for lomiri features
+# for non-Lomiri ICS data storage backend
+               libecal2.0-dev (>= 3.16),
+               libical-dev (>= 1.0),
+               libedataserver1.2-dev (>= 3.5),
+# for Lomiri ICS data storage backend
+               libkf5calendarcore-dev,
+               libmkcal-qt5-dev,
+# more Lomiri features
+               extra-cmake-modules,
                lomiri-schemas (>= 0.1.1),
                lomiri-sounds (>= 22.02),
                liblomiri-url-dispatcher-dev,
@@ -35,7 +40,9 @@
 # for running live EDS tests:
                evolution-data-server <!nocheck>,
                gvfs-daemons <!nocheck>,
-               systemd-dev [linux-any] <!nocheck>,
+# for running live mkcal tests:
+               mkcal-bin <!nocheck>,
+               systemd-dev [linux-any],
 # for tests that require the org.ayatana.common GSchema
                ayatana-indicator-common <!nocheck>,
 Standards-Version: 4.7.2
@@ -49,9 +56,9 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ayatana-indicator-common (>= 0.8.0),
+         ayatana-indicator-datetime-common (>= ${source:Version}),
          libglib2.0-bin,
 Recommends: evolution-data-server,
-            geoclue-provider,
 Suggests: indicator-applet | mate-indicator-applet | xfce4-indicator-plugin | indicator-renderer,
 Breaks: indicator-datetime,
 Replaces: indicator-datetime,
@@ -59,6 +66,42 @@
  This Ayatana Indicator provides a combined calendar, clock, alarm and
  event management tool.
  .
- Ayatana Indicators are only available on desktop environments that
- provide a renderer for system indicators (such as MATE, Xfce, Lomiri,
- etc.).
+ This variant of the datetime indicator is to be used for non-Lomiri
+ operating environments such as MATE, Xfce, etc.
+ .
+ This variant of the datetime indicator has been built for using
+ evolution-data-server as ICS data storage backend.
+
+Package: lomiri-indicator-datetime
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ayatana-indicator-common,
+         ayatana-indicator-datetime-common (>= ${source:Version}),
+         libglib2.0-bin,
+Recommends: mkcal-bin,
+Suggests: lomiri,
+Breaks: indicator-datetime,
+Replaces: indicator-datetime,
+Description: Lomiri Indicator providing clock and calendar
+ This Lomiri Indicator provides a combined calendar, clock, alarm and
+ event management tool.
+ .
+ This variant of the datetime indicator is targeted for being used on
+ Lomiri, this indicator supports phone devices.
+ .
+ This variant of the datetime indicator has been built for using
+ msyncd (mkcal) as ICS data storage backend.
+
+Package: ayatana-indicator-datetime-common
+Architecture: all
+Depends: ${misc:Depends},
+Breaks: ayatana-indicator-datetime (<< 25.4.0),
+Replaces: ayatana-indicator-datetime (<< 25.4.0),
+Description: Common files used by both Ayatana/Lomiri Indicator Datetime variants
+ Ayatana / Lomiri Indicator Datetime are two variants of the Ayatana
+ Datetime Indicator built for different use cases. They provide a
+ combined calendar, clock, alarm and event management tool for common
+ desktop environments and for the Lomiri operating environment.
+ .
+ This package contains files used by both variants.
